package com.cm.common.plugin.oauth.controller.routes.user;

import com.cm.common.base.AbstractController;
import com.cm.common.constants.ISystemConstant;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: UserRouteController
 * @Description: 用户
 * @Author: WangGeng
 * @Date: 2019-07-29 21:22
 * @Version: 1.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "用户管理")
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/user")
public class UserRouteController extends AbstractController {

    @ApiOperation(value = "部门用户页面", notes = "部门用户页面接口")
    @GetMapping("departmentuser")
    public ModelAndView departmentUser() {
        ModelAndView mv = new ModelAndView("user/select-department-user");
        return mv;
    }

    @ApiOperation(value = "用户详情页面", notes = "用户详情页面接口")
    @GetMapping("userdetail")
    public ModelAndView userDetail() {
        ModelAndView mv = new ModelAndView("user/user-detail.html");
        return mv;
    }

    @ApiOperation(value = "修改密码页面", notes = "修改密码页面接口")
    @GetMapping("updatepassword")
    public ModelAndView updatePassword() {
        ModelAndView mv = new ModelAndView("user/update-password.html");
        return mv;
    }

}
